# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "f23e67a79d01b0fb37ccb23c5c7350dc74a8cbfd";
      sha256 = "0j7bgw7f4272ay6j1d4s3yp8nw0abd6a85cqa6pm2qq5yvrfnmz0";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
